<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />

<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 3) {
    $pagetitle = "3oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>

<!--  MENU  -->

<div id="templatemo_menu_wrapper">

     <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="sxoleia.php" target="_parent"><span></span>Σχολεία</a></li>
            <li><a href="sxolstel.php" target="_parent"><span></span>Απολογισμός Εκπαίδευσης</a>                     
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
          <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="sxoleia.php" target="_parent"><span></span>Σχολεία</a></li>
            <li><a href="sxolstel.php" target="_parent"><span></span>Απολογισμός Εκπαίδευσης</a>                     
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <!-- CONTENT -->
    <?php
        echo '<p aign="center"><h2>Προσθέστε απολογισμό εκπαιδεύσεως στελέχους!</h2></p>';
    if (isset($_POST['submitted'])) {

        if (empty($_POST['onoma'])) {
            $errors[] = 'Συμπληρώστε το Ονοματεπώνυμο του στελέχους!';
        } else {
           for ($i = 0; $i < strlen($_POST['onoma']); $i++) { 
               if ($_POST['onoma']{$i} == ' ') {
                   $sur = substr($_POST['onoma'], 0, $i);     
                }
              }
             
              for ($i = 0; $i < strlen($_POST['onoma']); $i++) { 
               if ($_POST['onoma']{$i} ==' ') {
                   $nam = substr($_POST['onoma'],$i+1, strlen($_POST['onoma']));     
                }
              }
            
        }
        if (empty($_POST['sxoleio'])) {
            $errors[] = 'Συμπληρώστε την ονομασία του Σχολείου Εκπαίδευσης!';
        } else {
            $sxol = trim($_POST['sxoleio']);
        }
        if (empty($_POST['from'])) {
            $errors[] = 'Συμπληρώστε ημερομηνία έναρξης του Σχολείου Εκπαίδευσης!';
        } else {
            $from = trim($_POST['from']);
        }
        if (empty($_POST['to'])) {
            $errors[] = 'Συμπληρώστε ημερομηνία λήξης του Σχολείου Εκπαίδευσης!';
        } else {
            $to = trim($_POST['to']);
        }
        if (empty($_POST['vathmos'])) {
            $errors[] = 'Συμπληρώστε την βαθμολογία του στελέχους για το Σχολείο Εκπαίδευσης!';
        } else {
            $vathmos = trim($_POST['vathmos']);
        }
        if (empty($errors)){
        require_once ('../../mysqli_connect.php');
        $q = "select id from stelexi where name='$nam' and surname='$sur'";
        $r = mysqli_query($dbc, $q);
        $row = mysqli_fetch_array($r, MYSQLI_BOTH);
        $idst = $row[0];

        $q1 = "select id from sholeio where name='$sxol'";
        $r1 = mysqli_query($dbc, $q1);
        $row1 = mysqli_fetch_array($r1, MYSQLI_BOTH);
        $idsh = $row1[0];

        $q3 = "insert into shmmetoxisesholeio values ('$idst','$idsh','$from','$to','$vathmos',' ')";
        $r3 = mysqli_query($dbc, $q3);

        if ($r3) {
            echo'Ο απολόγισμός προστέθηκε επιτυχώς!
                    <p><a href="sxolstelpr.php">Προσθέστε επιπλέον απολογισμό</a></p>
                    <p><a href="sxolstel.php">Επιστροφή στον απολογισμό Σχολείων Εκπαίδευσης</a></p>';
        } else {
            echo '<h1>Πρόβλημα Συστήματος<h1>
<p class="error"> Δεν μπορείτε να προσθέσετε απολογισμό λόγω κάποιου τεχνικού προβλήματος.</p>';
            echo '<p>' . mysqli_error($dbc) . '<br/><br/>Query:' . $q . '</p>';
            mysqli_close($dbc);
        }exit();
        }else{
            echo '<h1>Error!</h1>
            <p class="error"> The following error(s) occured:<br/>';
                foreach ($errors as $msg) {
                    echo "-$msg <br/>\n";
                }echo '</p><p>Παρακαλώ προσπαθήστε ξανά!</p><p><br/></p>';
        }
    }
    require_once ('../../mysqli_connect.php');
    $o="select concat(surname,' ',name) from stelexi order by surname ASC";
    $ro=  mysqli_query($dbc, $o);
   echo' 
    <form action="sxolstelpr.php" method="post">
        Ον/μο:&nbsp<select name="onoma"> ';
            echo "<option>Επιλέξτε Ονοματεπώνυμο</option>";
        while ($row4 = mysqli_fetch_array($ro, MYSQLI_BOTH)) {
            echo "<option>" . $row4[0] . "</option>";
        }

        echo'</select></p><br/>
        Ονομασία Σχολείου:&nbsp <select name="sxoleio">';
        $w="select name from sholeio order by name ASC";
         $qw=  mysqli_query($dbc, $w);
          echo "<option>Επιλέξτε Σχολείο Εκπαίδευσης</option>";
        while ($row5=  mysqli_fetch_array($qw,MYSQLI_BOTH)){
            echo '<option>'.$row5[0].'</option>';
        }
        echo'</select><br/><br/>
        Έναρξη:&nbsp<input type="date" name="from"> 
        Λήξη:&nbsp<input type="date" name="to"><br/><br/>
        Βαθμολογία:&nbsp<input type="text" name="vathmos" length="5"> <br/><br/>
        <p><input type="submit" value="Επιβεβαίωση"></p>
        <input type="hidden" name="submitted" value="true">

    </form>';
    ?>  
    

    <!-- SIDEBAR -->



    <div class="cleaner"></div>
</div> 




<?php
include('../../divs/footer.php');
?>